com.amazonaws.services.lambda.model

## Class UpdateAliasRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.UpdateAliasRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateAliasRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateAliasRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateAliasRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDescription()` You can change the description of the alias using this parameter.
`String` `getFunctionName()` The function name for which the alias is created.
`String` `getFunctionVersion()` Using this parameter you can change the Lambda function version to which the alias points.
`String` `getName()` The alias name.
`int` `hashCode()`
`void` `setDescription(String description)` You can change the description of the alias using this parameter.
`void` `setFunctionName(String functionName)` The function name for which the alias is created.
`void` `setFunctionVersion(String functionVersion)` Using this parameter you can change the Lambda function version to which the alias points.
`void` `setName(String name)` The alias name.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateAliasRequest` `withDescription(String description)` You can change the description of the alias using this parameter.
`UpdateAliasRequest` `withFunctionName(String functionName)` The function name for which the alias is created.
`UpdateAliasRequest` `withFunctionVersion(String functionVersion)` Using this parameter you can change the Lambda function version to which the alias points.
`UpdateAliasRequest` `withName(String name)` The alias name.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateAliasRequest

    public UpdateAliasRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

The function name for which the alias is created.

Parameters:
  `functionName` - The function name for which the alias is created.

#### getFunctionName

    public String getFunctionName()

The function name for which the alias is created.

Returns:
  The function name for which the alias is created.

#### withFunctionName

    public UpdateAliasRequest withFunctionName(String functionName)

The function name for which the alias is created.

Parameters:
  `functionName` - The function name for which the alias is created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

The alias name.

Parameters:
  `name` - The alias name.

#### getName

    public String getName()

The alias name.

Returns:
  The alias name.

#### withName

    public UpdateAliasRequest withName(String name)

The alias name.

Parameters:
  `name` - The alias name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionVersion

    public void setFunctionVersion(String functionVersion)

Using this parameter you can change the Lambda function version to which the alias points.

Parameters:
  `functionVersion` - Using this parameter you can change the Lambda function version to which the alias points.

#### getFunctionVersion

    public String getFunctionVersion()

Using this parameter you can change the Lambda function version to which the alias points.

Returns:
  Using this parameter you can change the Lambda function version to which the alias points.

#### withFunctionVersion

    public UpdateAliasRequest withFunctionVersion(String functionVersion)

Using this parameter you can change the Lambda function version to which the alias points.

Parameters:
  `functionVersion` - Using this parameter you can change the Lambda function version to which the alias points.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

You can change the description of the alias using this parameter.

Parameters:
  `description` - You can change the description of the alias using this parameter.

#### getDescription

    public String getDescription()

You can change the description of the alias using this parameter.

Returns:
  You can change the description of the alias using this parameter.

#### withDescription

    public UpdateAliasRequest withDescription(String description)

You can change the description of the alias using this parameter.

Parameters:
  `description` - You can change the description of the alias using this parameter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateAliasRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`